_TEEHANDLE(3)

NAME
_TEEHANDLE

SYNOPSIS

#include <metee.h>

  Data Fields
void * handle
size_t maxMsgLen
uint8_t protcolVer
enum tee_log_level log_level
TeeLogCallback log_callback

Detailed Description

Structure to store connection data

Definition at line 100 of file metee.h.

Field Documentation

  void* _TEEHANDLE::handle
Handle to the internal structure

Definition at line 102 of file metee.h.

  TeeLogCallback _TEEHANDLE::log_callback
Log callback

Definition at line 106 of file metee.h.

  enum tee_log_level _TEEHANDLE::log_level
Log level

Definition at line 105 of file metee.h.

  size_t _TEEHANDLE::maxMsgLen
FW Client Max Message Length

Definition at line 103 of file metee.h.

  uint8_t _TEEHANDLE::protcolVer
FW Client Protocol FW

Definition at line 104 of file metee.h.

Author

Generated automatically by Doxygen for metee from the source code.